Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.config
Class ConfigEvent

    java.lang.Object
      java.util.EventObject
          org.crosswire.common.config.ConfigEvent

All Implemented Interfaces:
  Serializable

    public class ConfigEvent

extends EventObject

An event indicating that an exception has happened.

Author:
  Joe Walker
See Also:
  `The GNU Lesser General Public License for details.`, Serialized Form

Field Summary
`private String` | `key` The name of the choice
`private Choice` | `model` The Choice
`private static long` | `serialVersionUID` Serialization ID

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ConfigEvent(Object source, String key, Choice model)` Constructs an ConfigEvent object.

Method Summary
`Choice` | `getChoice()` Returns the choice.
`String` | `getKey()` Returns the key.
`Choice` | `getPath()` Returns the choice.
`private void` | `readObject(ObjectInputStream is)` Serialization support.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### key

    private String key

  The name of the choice

### model

    private transient Choice model

  The Choice

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### ConfigEvent

    public ConfigEvent(Object source,
                       String key,
                       Choice model)

  Constructs an ConfigEvent object.

  Parameters:
    `source` - The event originator, or log stream
    `key` - the key for the config item
    `model` - the config item

Method Detail

### getKey

    public String getKey()

  Returns the key.

  Returns:
    the key

### getChoice

    public Choice getChoice()

  Returns the choice.

  Returns:
    the choice

### getPath

    public Choice getPath()

  Returns the choice.

  Returns:
    the choice

### readObject

    private void readObject(ObjectInputStream is)
                     throws IOException,
                            ClassNotFoundException

  Serialization support.

  Parameters:
    `is` - the input stream
  Throws:
    `IOException` - if an I/O error occurs.
    `ClassNotFoundException` - if the class of a serialized object could not be found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD